PASSWD(1)

NAME
passwd - ändert das Passwort eines Benutzers

ÜBERSICHT

passwd [Optionen] [LOGIN]

BESCHREIBUNG

The passwd command changes passwords for user accounts. A normal user may only change the password for his/her own account, while the superuser may change the password for any account. passwd also changes the account or associated password validity period.

  Verändern des Passworts

The user is first prompted for his/her old password, if one is present. This password is then encrypted and compared against the stored password. The user has only one chance to enter the correct password. The superuser is permitted to bypass this step so that forgotten passwords may be changed.

Nachdem das Passwort eingegeben wurde, werden Informationen über die Gültigkeitsdauer des Passworts abgefragt, um festzustellen, ob der Benutzer das Passwort zu dieser Zeit verändern darf. Wenn nicht, lehnt passwd die Änderung des Passworts ab und beendet sich.

Der Benutzer wird dann aufgefordert, zweimal ein neues Passwort einzugeben. Beide Eingaben werden miteinander verglichen. Sie müssen übereinstimmen, damit das Passwort geändert wird.

Anschließend wird das Passwort auf seine Komplexität überprüft. Eine allgemeine Richtlinie ist, dass Passwörter aus sechs bis acht Zeichen bestehen sollten und ein oder mehrere Zeichen aus folgenden Mengen enthalten sollten:

    • Kleinbuchstaben

    • Ziffern 0 bis 9

    • Satzzeichen

Seien Sie vorsichtig, dass Sie nicht die standardmäßigen Lösch- und Kill-Zeichen des Systems eingeben. passwd weist Passwörter zurück, die nicht hinreichend komplex sind.

  Hinweise zu Benutzerpasswörtern

The security of a password depends upon the strength of the encryption algorithm and the size of the key space. The legacy UNIX System encryption method is based on the NBS DES algorithm. More recent methods are now recommended (see ENCRYPT_METHOD). The size of the key space depends upon the randomness of the password which is selected.

Gefahren für die Sicherheit von Passwörtern kommen gewöhnlich von sorgloser Wahl oder Handhabung des Passworts. Daher sollten Sie kein Passwort wählen, das in einem Wörterbuch auftaucht oder das aufgeschrieben werden muss. Das Passwort sollte somit kein echter Name, Ihr Autokennzeichen, Geburtstag oder Ihre Adresse sein. All das kann dazu verwendet werden, das Passwort zu erraten, und stellt daher eine Gefahr für die Sicherheit Ihres Systems dar.

You can find advices on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

OPTIONEN

Die Optionen, die vom Befehl passwd unterstützt werden, sind:

-a, --all
    Diese Option kann nur in Verbindung mit -S verwendet werden und führt dazu, dass der Status aller Benutzer angezeigt wird.

-d, --delete
    Löscht das Passwort eines Benutzers (macht es leer). Dies ist ein schneller Weg, um das Passwort eines Kontos zu deaktivieren. Dem Konto ist dann kein Passwort zugeordnet.

-e, --expire
    Lässt das Passwort eines Kontos sofort verfallen. Im Ergebnis kann damit erreicht werden, dass ein Benutzer beim nächsten Login das Passwort ändern muss.

-h, --help
    Zeigt die Hilfe an und beendet das Programm.

-i, --inactiveINAKTIV
    Mit dieser Option wird ein Konto deaktiviert, nachdem das Passwort für eine bestimmte Anzahl von Tagen abgelaufen ist. Wenn ein Benutzerkonto ein abgelaufenes Passwort für länger als INAKTIV Tage hatte, kann sich der Benutzer nicht mehr auf diesem Konto anmelden.

-k, --keep-tokens
    Indicate password change should be performed only for expired authentication tokens (passwords). The user wishes to keep their non-expired tokens as before.

-l, --lock
    Lock the password of the named account. This option disables a password by changing it to a value which matches no possible encrypted value (it adds a ´!´ at the beginning of the password).

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this set the account's expire date to Jan 2, 1970).

    Users with a locked password are not allowed to change their password.

-n, --mindays MIN_DAYS
    Setzt die Anzahl von Tagen, die mindestens zwischen zwei Änderungen eines Passworts vergehen müssen, auf MIN_TAGE. Ein Wert von Null in diesem Feld bedeutet, dass der Benutzer sein Passwort jederzeit ändern darf.

-q, --quiet
    Stiller Modus.

-r, --repositoryPASSWORTDEPOT
    change password in REPOSITORY repository

-S, --status
    Display account status information. The status information consists of 7 fields. The first field is the user's login name. The second field indicates if the user account has a locked password (L), has no password (NP), or has a usable password (P). The third field gives the date of the last password change. The next four fields are the minimum age, maximum age, warning period, and inactivity period for the password. These ages are expressed in days.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using the -l option).

-w, --warndaysWARN_TAGE
    Legt die Anzahl der Tage fest, an denen der Benutzer eine Warnung erhält, bevor sein Passwort ungültig wird. Die Option WARN_TAGE bezeichnet die Anzahl der Tage, für die ein Benutzer vor Verfall seines Passworts gewarnt wird.

-x, --maxdaysMAX_TAGE
    Bestimmt die maximale Anzahl von Tagen, die das Passwort gültig bleibt. Nach MAX_TAGE Tagen muss das Passwort geändert werden.

WARNUNGEN

Password complexity checking may vary from site to site. The user is urged to select a password as complex as he or she feels comfortable with.

Users may not be able to change their password on a system if NIS is enabled and they are not logged into the NIS server.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    This defines the system default encryption algorithm for encrypting passwords (if no algorithm are specified on the command line).

    It can take one of these values:

        • DES (default)

        • MD5

        • SHA256

        • SHA512

    Note: this parameter overrides the MD5_CRYPT_ENAB variable.

MD5_CRYPT_ENAB (boolean)
    Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

    This variable is superceded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

    This variable is deprecated. You should use ENCRYPT_METHOD.

OBSCURE_CHECKS_ENAB (boolean)
    Enable additional checks upon password changes.

PASS_ALWAYS_WARN (boolean)
    Warn about weak passwords (but still allow them) if you are root.

PASS_CHANGE_TRIES (number)
    Maximum number of attempts to change password if rejected (too easy).

PASS_MAX_LEN (number), PASS_MIN_LEN (number)
    Number of significant characters in the password for crypt(). PASS_MAX_LEN is 8 by default. Don't change unless your crypt() is better. This is ignored if MD5_CRYPT_ENAB set to yes.

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    With a lot of rounds, it is more difficult to brute forcing the password. But note also that more CPU resources will be needed to authenticate users.

    If not specified, the libc will choose the default number of rounds (5000).

    The values must be inside the 1000-999999999 range.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten.

/etc/shadow
    Verschlüsselte Informationen zu den Benutzerkonten.

/etc/login.defs
    Konfiguration des Shadow-Passwort-Systems

RÜCKGABEWERTE

Der Befehl passwd gibt beim Beenden folgende Werte zurück:

0
    Erfolg

1
    Berechtigung verweigert

2
    ungültige Kombination von Optionen

3
    unerwarteter Fehler, nichts wurde verändert

4
    unerwarteter Fehler, die Datei passwd fehlt

5
    Datei passwd wird benutzt, bitte nochmal versuchen

6
    ungültiges Argument für Option

SIEHE AUCH

passwd(5), shadow(5), login.defs(5), usermod(8).